Make AC_MSG_RESULT_UNQUOTED obsolete
[autoconf.git] / Makefile.in
blob9b1749d9336ab47d6a5521f1b82a000a021a578a
1 # Makefile.in generated by automake 1.9.5 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39 $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
40 ChangeLog INSTALL NEWS README-alpha THANKS TODO
41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42 am__aclocal_m4_deps = $(top_srcdir)/config/m4.m4 \
43 $(top_srcdir)/configure.ac
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45 $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno configure.status.lineno
48 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
49 CONFIG_CLEAN_FILES =
50 SOURCES =
51 DIST_SOURCES =
52 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
53 html-recursive info-recursive install-data-recursive \
54 install-exec-recursive install-info-recursive \
55 install-recursive installcheck-recursive installdirs-recursive \
56 pdf-recursive ps-recursive uninstall-info-recursive \
57 uninstall-recursive
58 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
59 am__vpath_adj = case $$p in \
60 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
61 *) f=$$p;; \
62 esac;
63 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
64 am__installdirs = "$(DESTDIR)$(pkgdatadir)"
65 pkgdataDATA_INSTALL = $(INSTALL_DATA)
66 DATA = $(pkgdata_DATA)
67 ETAGS = etags
68 CTAGS = ctags
69 DIST_SUBDIRS = $(SUBDIRS)
70 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71 distdir = $(PACKAGE)-$(VERSION)
72 top_distdir = $(distdir)
73 am__remove_distdir = \
74 { test ! -d $(distdir) \
75 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
76 && rm -fr $(distdir); }; }
77 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
78 GZIP_ENV = --best
79 distuninstallcheck_listfiles = find . -type f -print
80 distcleancheck_listfiles = find . -type f -print
81 ACLOCAL = @ACLOCAL@
82 AMTAR = @AMTAR@
83 AUTOCONF = @AUTOCONF@
84 AUTOHEADER = @AUTOHEADER@
85 AUTOMAKE = @AUTOMAKE@
86 AWK = @AWK@
87 CYGPATH_W = @CYGPATH_W@
88 DEFS = @DEFS@
89 ECHO_C = @ECHO_C@
90 ECHO_N = @ECHO_N@
91 ECHO_T = @ECHO_T@
92 EMACS = @EMACS@
93 EMACSLOADPATH = @EMACSLOADPATH@
94 EXPR = @EXPR@
95 GREP = @GREP@
96 HELP2MAN = @HELP2MAN@
97 INSTALL_DATA = @INSTALL_DATA@
98 INSTALL_PROGRAM = @INSTALL_PROGRAM@
99 INSTALL_SCRIPT = @INSTALL_SCRIPT@
100 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
101 LIBOBJS = @LIBOBJS@
102 LIBS = @LIBS@
103 LTLIBOBJS = @LTLIBOBJS@
104 M4 = @M4@
105 MAKEINFO = @MAKEINFO@
106 PACKAGE = @PACKAGE@
107 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
108 PACKAGE_NAME = @PACKAGE_NAME@
109 PACKAGE_STRING = @PACKAGE_STRING@
110 PACKAGE_TARNAME = @PACKAGE_TARNAME@
111 PACKAGE_VERSION = @PACKAGE_VERSION@
112 PATH_SEPARATOR = @PATH_SEPARATOR@
113 PERL = @PERL@
114 SET_MAKE = @SET_MAKE@
115 SHELL = @SHELL@
116 STRIP = @STRIP@
117 TEST_EMACS = @TEST_EMACS@
118 VERSION = @VERSION@
119 ac_ct_STRIP = @ac_ct_STRIP@
120 ac_cv_sh_n_works = @ac_cv_sh_n_works@
121 am__leading_dot = @am__leading_dot@
122 am__tar = @am__tar@
123 am__untar = @am__untar@
124 bindir = @bindir@
125 build_alias = @build_alias@
126 datadir = @datadir@
127 datarootdir = @datarootdir@
128 docdir = @docdir@
129 dvidir = @dvidir@
130 exec_prefix = @exec_prefix@
131 host_alias = @host_alias@
132 htmldir = @htmldir@
133 includedir = @includedir@
134 infodir = @infodir@
135 install_sh = @install_sh@
136 libdir = @libdir@
137 libexecdir = @libexecdir@
138 lispdir = @lispdir@
139 localedir = @localedir@
140 localstatedir = @localstatedir@
141 mandir = @mandir@
142 mkdir_p = @mkdir_p@
143 oldincludedir = @oldincludedir@
144 pdfdir = @pdfdir@
145 prefix = @prefix@
146 program_transform_name = @program_transform_name@
147 psdir = @psdir@
148 sbindir = @sbindir@
149 sharedstatedir = @sharedstatedir@
150 sysconfdir = @sysconfdir@
151 target_alias = @target_alias@
153 # bin/ must be run first, as it builds executables needed for tests.
154 # autom4te uses autotest.m4f to generate `testsuite', so build tests last.
155 SUBDIRS = bin . lib config man doc tests
156 ACLOCAL_AMFLAGS = -I config
157 EXTRA_DIST = ChangeLog.0 ChangeLog.1 ChangeLog.2 \
158 BUGS \
159 GNUmakefile Makefile.maint Makefile.cfg
161 MAINTAINERCLEANFILES = $(srcdir)/INSTALL
162 pkgdata_DATA = $(srcdir)/INSTALL
163 AM_MAKEINFOFLAGS = --no-headers --no-validate --no-split
164 automake_cvsweb = \
165 http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/automake
167 automake_cvsargs = \
168 'content-type=text/plain&cvsroot=automake'
170 autom4te_files = \
171 Autom4te/Configure_ac.pm \
172 Autom4te/Channels.pm \
173 Autom4te/FileUtils.pm \
174 Autom4te/Struct.pm \
175 Autom4te/XFile.pm
177 all: all-recursive
179 .SUFFIXES:
180 am--refresh:
182 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
183 @for dep in $?; do \
184 case '$(am__configure_deps)' in \
185 *$$dep*) \
186 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
187 cd $(srcdir) && $(AUTOMAKE) --gnu \
188 && exit 0; \
189 exit 1;; \
190 esac; \
191 done; \
192 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
193 cd $(top_srcdir) && \
194 $(AUTOMAKE) --gnu Makefile
195 .PRECIOUS: Makefile
196 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
197 @case '$?' in \
198 *config.status*) \
199 echo ' $(SHELL) ./config.status'; \
200 $(SHELL) ./config.status;; \
201 *) \
202 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
203 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
204 esac;
206 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
207 $(SHELL) ./config.status --recheck
209 $(top_srcdir)/configure: $(am__configure_deps)
210 cd $(srcdir) && $(AUTOCONF)
211 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
212 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
213 uninstall-info-am:
214 install-pkgdataDATA: $(pkgdata_DATA)
215 @$(NORMAL_INSTALL)
216 test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
217 @list='$(pkgdata_DATA)'; for p in $$list; do \
218 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
219 f=$(am__strip_dir) \
220 echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
221 $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
222 done
224 uninstall-pkgdataDATA:
225 @$(NORMAL_UNINSTALL)
226 @list='$(pkgdata_DATA)'; for p in $$list; do \
227 f=$(am__strip_dir) \
228 echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
229 rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
230 done
232 # This directory's subdirectories are mostly independent; you can cd
233 # into them and run `make' without going through this Makefile.
234 # To change the values of `make' variables: instead of editing Makefiles,
235 # (1) if the variable is set in `config.status', edit `config.status'
236 # (which will cause the Makefiles to be regenerated when you run `make');
237 # (2) otherwise, pass the desired values on the `make' command line.
238 $(RECURSIVE_TARGETS):
239 @failcom='exit 1'; \
240 for f in x $$MAKEFLAGS; do \
241 case $$f in \
242 *=* | --[!k]*);; \
243 *k*) failcom='fail=yes';; \
244 esac; \
245 done; \
246 dot_seen=no; \
247 target=`echo $@ | sed s/-recursive//`; \
248 list='$(SUBDIRS)'; for subdir in $$list; do \
249 echo "Making $$target in $$subdir"; \
250 if test "$$subdir" = "."; then \
251 dot_seen=yes; \
252 local_target="$$target-am"; \
253 else \
254 local_target="$$target"; \
255 fi; \
256 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
257 || eval $$failcom; \
258 done; \
259 if test "$$dot_seen" = "no"; then \
260 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
261 fi; test -z "$$fail"
263 mostlyclean-recursive clean-recursive distclean-recursive \
264 maintainer-clean-recursive:
265 @failcom='exit 1'; \
266 for f in x $$MAKEFLAGS; do \
267 case $$f in \
268 *=* | --[!k]*);; \
269 *k*) failcom='fail=yes';; \
270 esac; \
271 done; \
272 dot_seen=no; \
273 case "$@" in \
274 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
275 *) list='$(SUBDIRS)' ;; \
276 esac; \
277 rev=''; for subdir in $$list; do \
278 if test "$$subdir" = "."; then :; else \
279 rev="$$subdir $$rev"; \
280 fi; \
281 done; \
282 rev="$$rev ."; \
283 target=`echo $@ | sed s/-recursive//`; \
284 for subdir in $$rev; do \
285 echo "Making $$target in $$subdir"; \
286 if test "$$subdir" = "."; then \
287 local_target="$$target-am"; \
288 else \
289 local_target="$$target"; \
290 fi; \
291 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
292 || eval $$failcom; \
293 done && test -z "$$fail"
294 tags-recursive:
295 list='$(SUBDIRS)'; for subdir in $$list; do \
296 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
297 done
298 ctags-recursive:
299 list='$(SUBDIRS)'; for subdir in $$list; do \
300 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
301 done
303 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
304 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
305 unique=`for i in $$list; do \
306 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
307 done | \
308 $(AWK) ' { files[$$0] = 1; } \
309 END { for (i in files) print i; }'`; \
310 mkid -fID $$unique
311 tags: TAGS
313 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
314 $(TAGS_FILES) $(LISP)
315 tags=; \
316 here=`pwd`; \
317 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
318 include_option=--etags-include; \
319 empty_fix=.; \
320 else \
321 include_option=--include; \
322 empty_fix=; \
323 fi; \
324 list='$(SUBDIRS)'; for subdir in $$list; do \
325 if test "$$subdir" = .; then :; else \
326 test ! -f $$subdir/TAGS || \
327 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
328 fi; \
329 done; \
330 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
331 unique=`for i in $$list; do \
332 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
333 done | \
334 $(AWK) ' { files[$$0] = 1; } \
335 END { for (i in files) print i; }'`; \
336 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
337 test -n "$$unique" || unique=$$empty_fix; \
338 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
339 $$tags $$unique; \
341 ctags: CTAGS
342 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
343 $(TAGS_FILES) $(LISP)
344 tags=; \
345 here=`pwd`; \
346 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
347 unique=`for i in $$list; do \
348 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
349 done | \
350 $(AWK) ' { files[$$0] = 1; } \
351 END { for (i in files) print i; }'`; \
352 test -z "$(CTAGS_ARGS)$$tags$$unique" \
353 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
354 $$tags $$unique
356 GTAGS:
357 here=`$(am__cd) $(top_builddir) && pwd` \
358 && cd $(top_srcdir) \
359 && gtags -i $(GTAGS_ARGS) $$here
361 distclean-tags:
362 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
364 distdir: $(DISTFILES)
365 @case `sed 15q $(srcdir)/NEWS` in \
366 *"$(VERSION)"*) : ;; \
367 *) \
368 echo "NEWS not updated; not releasing" 1>&2; \
369 exit 1;; \
370 esac
371 $(am__remove_distdir)
372 mkdir $(distdir)
373 $(mkdir_p) $(distdir)/config $(distdir)/tests
374 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
375 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
376 list='$(DISTFILES)'; for file in $$list; do \
377 case $$file in \
378 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
379 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
380 esac; \
381 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
382 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
383 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
384 dir="/$$dir"; \
385 $(mkdir_p) "$(distdir)$$dir"; \
386 else \
387 dir=''; \
388 fi; \
389 if test -d $$d/$$file; then \
390 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
391 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
392 fi; \
393 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
394 else \
395 test -f $(distdir)/$$file \
396 || cp -p $$d/$$file $(distdir)/$$file \
397 || exit 1; \
398 fi; \
399 done
400 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
401 if test "$$subdir" = .; then :; else \
402 test -d "$(distdir)/$$subdir" \
403 || $(mkdir_p) "$(distdir)/$$subdir" \
404 || exit 1; \
405 distdir=`$(am__cd) $(distdir) && pwd`; \
406 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
407 (cd $$subdir && \
408 $(MAKE) $(AM_MAKEFLAGS) \
409 top_distdir="$$top_distdir" \
410 distdir="$$distdir/$$subdir" \
411 distdir) \
412 || exit 1; \
413 fi; \
414 done
415 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
416 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
417 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
418 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
419 || chmod -R a+r $(distdir)
420 dist-gzip: distdir
421 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
422 $(am__remove_distdir)
423 dist-bzip2: distdir
424 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
425 $(am__remove_distdir)
427 dist-tarZ: distdir
428 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
429 $(am__remove_distdir)
431 dist-shar: distdir
432 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
433 $(am__remove_distdir)
435 dist-zip: distdir
436 -rm -f $(distdir).zip
437 zip -rq $(distdir).zip $(distdir)
438 $(am__remove_distdir)
440 dist dist-all: distdir
441 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
442 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
443 $(am__remove_distdir)
445 # This target untars the dist file and tries a VPATH configuration. Then
446 # it guarantees that the distribution is self-contained by making another
447 # tarfile.
448 distcheck: dist
449 case '$(DIST_ARCHIVES)' in \
450 *.tar.gz*) \
451 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
452 *.tar.bz2*) \
453 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
454 *.tar.Z*) \
455 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
456 *.shar.gz*) \
457 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
458 *.zip*) \
459 unzip $(distdir).zip ;;\
460 esac
461 chmod -R a-w $(distdir); chmod a+w $(distdir)
462 mkdir $(distdir)/_build
463 mkdir $(distdir)/_inst
464 chmod a-w $(distdir)
465 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
466 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
467 && cd $(distdir)/_build \
468 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
469 $(DISTCHECK_CONFIGURE_FLAGS) \
470 && $(MAKE) $(AM_MAKEFLAGS) \
471 && $(MAKE) $(AM_MAKEFLAGS) dvi \
472 && $(MAKE) $(AM_MAKEFLAGS) check \
473 && $(MAKE) $(AM_MAKEFLAGS) install \
474 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
475 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
476 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
477 distuninstallcheck \
478 && chmod -R a-w "$$dc_install_base" \
479 && ({ \
480 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
481 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
482 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
483 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
484 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
485 } || { rm -rf "$$dc_destdir"; exit 1; }) \
486 && rm -rf "$$dc_destdir" \
487 && $(MAKE) $(AM_MAKEFLAGS) dist \
488 && rm -rf $(DIST_ARCHIVES) \
489 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
490 $(am__remove_distdir)
491 @(echo "$(distdir) archives ready for distribution: "; \
492 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
493 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
494 distuninstallcheck:
495 @cd $(distuninstallcheck_dir) \
496 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
497 || { echo "ERROR: files left after uninstall:" ; \
498 if test -n "$(DESTDIR)"; then \
499 echo " (check DESTDIR support)"; \
500 fi ; \
501 $(distuninstallcheck_listfiles) ; \
502 exit 1; } >&2
503 distcleancheck: distclean
504 @if test '$(srcdir)' = . ; then \
505 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
506 exit 1 ; \
508 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
509 || { echo "ERROR: files left in build directory after distclean:" ; \
510 $(distcleancheck_listfiles) ; \
511 exit 1; } >&2
512 check-am: all-am
513 check: check-recursive
514 all-am: Makefile $(DATA)
515 installdirs: installdirs-recursive
516 installdirs-am:
517 for dir in "$(DESTDIR)$(pkgdatadir)"; do \
518 test -z "$$dir" || $(mkdir_p) "$$dir"; \
519 done
520 install: install-recursive
521 install-exec: install-exec-recursive
522 install-data: install-data-recursive
523 uninstall: uninstall-recursive
525 install-am: all-am
526 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
528 installcheck: installcheck-recursive
529 install-strip:
530 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
531 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
532 `test -z '$(STRIP)' || \
533 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
534 mostlyclean-generic:
536 clean-generic:
538 distclean-generic:
539 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
541 maintainer-clean-generic:
542 @echo "This command is intended for maintainers to use"
543 @echo "it deletes files that may require special tools to rebuild."
544 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
545 clean: clean-recursive
547 clean-am: clean-generic mostlyclean-am
549 distclean: distclean-recursive
550 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
551 -rm -f Makefile
552 distclean-am: clean-am distclean-generic distclean-tags
554 dvi: dvi-recursive
556 dvi-am:
558 info: info-recursive
560 info-am:
562 install-data-am: install-pkgdataDATA
564 install-exec-am:
566 install-info: install-info-recursive
568 install-man:
570 installcheck-am:
572 maintainer-clean: maintainer-clean-recursive
573 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
574 -rm -rf $(top_srcdir)/autom4te.cache
575 -rm -f Makefile
576 maintainer-clean-am: distclean-am maintainer-clean-generic
578 mostlyclean: mostlyclean-recursive
580 mostlyclean-am: mostlyclean-generic
582 pdf: pdf-recursive
584 pdf-am:
586 ps: ps-recursive
588 ps-am:
590 uninstall-am: uninstall-info-am uninstall-pkgdataDATA
592 uninstall-info: uninstall-info-recursive
594 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
595 check-am clean clean-generic clean-recursive ctags \
596 ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
597 dist-tarZ dist-zip distcheck distclean distclean-generic \
598 distclean-recursive distclean-tags distcleancheck distdir \
599 distuninstallcheck dvi dvi-am html html-am info info-am \
600 install install-am install-data install-data-am install-exec \
601 install-exec-am install-info install-info-am install-man \
602 install-pkgdataDATA install-strip installcheck installcheck-am \
603 installdirs installdirs-am maintainer-clean \
604 maintainer-clean-generic maintainer-clean-recursive \
605 mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
606 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
607 uninstall-info-am uninstall-pkgdataDATA
610 html:
611 cd doc && $(MAKE) $(AM_MAKEFLAGS) $@
613 .PHONY: html
614 $(srcdir)/INSTALL: $(top_srcdir)/doc/install.texi
615 $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -o $@ \
616 $(top_srcdir)/doc/install.texi
618 maintainer-check: maintainer-check-tests
619 maintainer-check-tests:
620 cd tests && make maintainer-check
622 autom4te-update:
623 rm -f -r Fetchdir > /dev/null 2>&1
624 mkdir Fetchdir; mkdir Fetchdir/Autom4te
625 (cd Fetchdir && \
626 $(WGET) $(automake_cvsweb)/lib/Automake/Configure_ac.pm?$(automake_cvsargs) -O Autom4te/Configure_ac.pm; \
627 $(WGET) $(automake_cvsweb)/lib/Automake/Channels.pm?$(automake_cvsargs) -O Autom4te/Channels.pm; \
628 $(WGET) $(automake_cvsweb)/lib/Automake/FileUtils.pm?$(automake_cvsargs) -O Autom4te/FileUtils.pm; \
629 $(WGET) $(automake_cvsweb)/lib/Automake/Struct.pm?$(automake_cvsargs) -O Autom4te/Struct.pm; \
630 $(WGET) $(automake_cvsweb)/lib/Automake/XFile.pm?$(automake_cvsargs) -O Autom4te/XFile.pm; \
632 perl -pi -e 's/Automake::/Autom4te::/g' Fetchdir/Autom4te/*.pm
633 for file in $(autom4te_files); do \
634 $(move_if_change) Fetchdir/$$file $(srcdir)/lib/$$file; \
635 done
636 # Tell versions [3.59,3.63) of GNU make to not export all variables.
637 # Otherwise a system limit (for SysV at least) may be exceeded.
638 .NOEXPORT: